> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log Participants

> Call Log Participants — CometChat documentation.

## Overview

`CometChatCallLogParticipants` is a [Component](/docs/ui-kit/angular/v4/components-overview#components) that shows a separate view that displays comprehensive information about Call. This will enable users to easily access details such as the call participants, call details for a more informed communication experience.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KQU96uDrdF-ESW1d/images/2f54fbc0-call_log_participants_overview_web_screens-3167bde66e587fc7e44c69173acc63a1.png?fit=max&auto=format&n=KQU96uDrdF-ESW1d&q=85&s=cc6340a27d3d892be4b89c41f8921001" width="3600" height="2400" data-path="images/2f54fbc0-call_log_participants_overview_web_screens-3167bde66e587fc7e44c69173acc63a1.png" />
</Frame>

The `Call Log Participants` is comprised of the following components:

| Components                                        | Description                                                                                                                 |
| ------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| CometChatList                                     | a reusable container component having title, search box, customisable background and a List View                            |
| [CometChatListItem](/docs/ui-kit/angular/v4/list-item) | a component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view    |
| [cometchat-date](/docs/ui-kit/angular/v4/date)         | This Component used to show the date and time. You can also customize the appearance of this widget by modifying its logic. |
| cometchat-button                                  | This component represents a button with optional icon and text.                                                             |

## Usage

### Integration

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { CometChatCallLogParticipants } from "@cometchat/chat-uikit-angular";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule, CometChatCallLogParticipants],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

##### 1. onBackClick

`onBackClick` is triggered when you click the Back button Icon of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      public handleOnBack = () => {
        console.log("Your custom on back action");
      }
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [onBackClick]="handleOnBack"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `Call Log Participants` component does not have any exposed filters.

***

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Call Log Participants` does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the `CallLogParticipants` component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. CallLogParticipants Style

To customize the appearance, you can assign a `CallLogParticipantsStyle` object to the `Call Log Participants` component.

**Example**

In this example, we are employing the `CallLogParticipantsStyle`.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogParticipantsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      callLogParticipantsStyle = new CallLogParticipantsStyle({
        background: "#f4f0fc",
        callStatusColor: "#5f20e6",
        titleColor: "#5f20e6",
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [CallLogParticipantsStyle]="callLogParticipantsStyle"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/dDWpooIQ48haNjyU/images/78a2d9f9-call_log_participants_style_web_screens-739785c130586b54f7ad29697c00a234.png?fit=max&auto=format&n=dDWpooIQ48haNjyU&q=85&s=1028b5166aefb41349208fddcc1b5502" width="3600" height="2400" data-path="images/78a2d9f9-call_log_participants_style_web_screens-739785c130586b54f7ad29697c00a234.png" />
</Frame>

***

The following properties are exposed by `CallLogParticipantsStyle`:

| Property            | Description                   | Code                        |
| ------------------- | ----------------------------- | --------------------------- |
| **border**          | Used to set border            | `border?: string,`          |
| **borderRadius**    | Used to set border radius     | `borderRadius?: string;`    |
| **background**      | Used to set background colour | `background?: string;`      |
| **height**          | Used to set height            | `height?: string;`          |
| **width**           | Used to set width             | `width?: string;`           |
| **titleFont**       | Used to set title font        | `titleFont?: string,`       |
| **titleColor**      | Used to set title color       | `titleColor?: string;`      |
| **backIconTint**    | Used to set back icon tint    | `backIconTint?: string;`    |
| **callStatusFont**  | Used to set call status font  | `callStatusFont?: string;`  |
| **callStatusColor** | Used to set call status color | `callStatusColor?: string;` |
| **dateTextFont**    | Used to set date text font    | `dateTextFont?: string;`    |
| **dateTextColor**   | Used to set date text color   | `dateTextColor?: string;`   |

##### 2. ListItem Style

If you want to apply customized styles to the `List Item` component within the `Call Log Participants` Component, you can use the following code snippet. For more information, you can refer [ListItem Styles](/docs/ui-kit/angular/v4/list-item#listitemstyle).

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      listItemStyle: ListItemStyle = new ListItemStyle({
        background: "transparent",
        padding: "5px",
        border: "1px solid #e9b8f5",
        titleColor: "#8830f2",
        borderRadius: "20px",
        width: "100% !important"
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [listItemStyle]="listItemStyle"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. Avatar Style

If you want to apply customized styles to the `Avatar` component within the `Call Log Participants` Component, you can use the following code snippet. For more information you can refer [Avatar Styles](/docs/ui-kit/angular/v4/avatar#avatar-style).

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff"
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [avatarStyle]="avatarStyle"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

Here is a code snippet demonstrating how you can customize the functionality of the `Call Log Participants` component.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import { DatePatterns } from '@cometchat/uikit-resources';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      public datePattern: DatePatterns = DatePatterns.DateTime;
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [title]="'Your Custom Title'"
        [backIconUrl]="myCustomIcon"
        [datePattern]="datePattern"
      ></cometchat-call-log-participants>
    </div>
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/F0pRX00dbgkztAbW/images/130fb48f-call_log_participants_functionality_default_web_screens-cf24f3970fb87366725a07033c04b9f3.png?fit=max&auto=format&n=F0pRX00dbgkztAbW&q=85&s=4a5dee254fd67df105f75758fd082226" width="3600" height="2400" data-path="images/130fb48f-call_log_participants_functionality_default_web_screens-cf24f3970fb87366725a07033c04b9f3.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/QxoaCZzLrVi321Ps/images/3e07aa32-call_log_participants_functionality_custom_web_screens-412eb540dd355c67fb25312ddb0337fa.png?fit=max&auto=format&n=QxoaCZzLrVi321Ps&q=85&s=77686b0a015302f4f2154ec109e3962d" width="3600" height="2400" data-path="images/3e07aa32-call_log_participants_functionality_custom_web_screens-412eb540dd355c67fb25312ddb0337fa.png" />
</Frame>

***

Below is a list of customizations along with corresponding code snippets

| Property        | Description                      | Code                            |
| --------------- | -------------------------------- | ------------------------------- |
| **title**       | Used to set custom title         | `[title]="'Your Custom Title'"` |
| **backIconUrl** | Used to set custom back icon URL | `backIconUrl?: string;`         |
| **datePattern** | Used to set custom date pattern  | `[datePattern]="datePattern"`   |
| **call**        | Call data object                 | `call: CallLog;`                |

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the `Call Log Participants` Component.

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/O4T1K2wxFuaRj1dC/images/a6586748-call_log_participants_listitemview_default_web_screens-4889a97a3e04fdf7103e09a00d2a3c8f.png?fit=max&auto=format&n=O4T1K2wxFuaRj1dC&q=85&s=24d4233742442aa48340d6d667ce614d" width="3600" height="2400" data-path="images/a6586748-call_log_participants_listitemview_default_web_screens-4889a97a3e04fdf7103e09a00d2a3c8f.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/t35Dbaum6Rkuz_d5/images/17c147b4-call_log_participants_listitemview_custom_web_screens-c26e0d67b1ec71febcac90e4bdd5db0e.png?fit=max&auto=format&n=t35Dbaum6Rkuz_d5&q=85&s=f2bfe3e5cd1a0ee419d66d431090bc92" width="3600" height="2400" data-path="images/17c147b4-call_log_participants_listitemview_custom_web_screens-c26e0d67b1ec71febcac90e4bdd5db0e.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [listItemView]="listItemView"
      ></cometchat-call-log-participants>
    </div>
    <ng-template #listItemView let-participant>
      <div>{{participant.getName()}}</div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each call log Participants item to meet your requirements

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/SNc1XUNfZQ5aQj_q/images/ffa4a6e1-call_log_participants_subtitleview_default_web_screens-5635e7135c5abfdcdfbae5f2bdbe2297.png?fit=max&auto=format&n=SNc1XUNfZQ5aQj_q&q=85&s=da29ae0801a44ce976b149cb6b308fbd" width="3600" height="2400" data-path="images/ffa4a6e1-call_log_participants_subtitleview_default_web_screens-5635e7135c5abfdcdfbae5f2bdbe2297.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/6twnUcGNOB9c0CI0/images/e9f67374-call_log_participants_subtitleview_custom_web_screens-73a4be0a0da256fdcc02446a25d34447.png?fit=max&auto=format&n=6twnUcGNOB9c0CI0&q=85&s=27e0b269e40e3e4a571806d2dd87c075" width="3600" height="2400" data-path="images/e9f67374-call_log_participants_subtitleview_custom_web_screens-73a4be0a0da256fdcc02446a25d34447.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";
    import { CallLog, CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public callLogObject!: CallLog;
      ngOnInit(): void {
        this.callLogRequestBuilder.fetchNext().then((callLogs: CallLog[])=>{
          this.callLogObject = callLogs[0];
        });
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-participants
        *ngIf="callLogObject"
        [call]="callLogObject"
        [subtitleView]="subtitleTemplate"
      ></cometchat-call-log-participants>
    </div>
    <ng-template #subtitleTemplate>
      <div>your custom subtitleview</div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log Participants

> Call Log Participants — CometChat documentation.

## Overview

`CometChatCallLogParticipants` is a [Component](/ui-kit/react/v4/components-overview#components) that shows a separate view that displays comprehensive information about Call. This will enable users to easily access details such as the call participants, call details for a more informed communication experience.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KQU96uDrdF-ESW1d/images/2f54fbc0-call_log_participants_overview_web_screens-3167bde66e587fc7e44c69173acc63a1.png?fit=max&auto=format&n=KQU96uDrdF-ESW1d&q=85&s=cc6340a27d3d892be4b89c41f8921001" width="3600" height="2400" data-path="images/2f54fbc0-call_log_participants_overview_web_screens-3167bde66e587fc7e44c69173acc63a1.png" />
</Frame>

The `Call Log Participants` is comprised of the following components:

| Components                                      | Description                                                                                                                 |
| ----------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| CometChatList                                   | a reusable container component having title, search box, customisable background and a List View                            |
| [CometChatListItem](/ui-kit/react/v4/list-item) | a component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view    |
| [cometchat-date](/ui-kit/react/v4/date)         | This Component used to show the date and time. You can also customize the appearance of this widget by modifying its logic. |
| cometchat-button                                | This component represents a button with optional icon and text.                                                             |

## Usage

### Integration

<Tabs>
  <Tab title="CallLogParticipantsDemo.tsx">
    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("alice-uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);
      return <CometChatCallLogParticipants call={callLog} />;
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import { CallLogParticipantsDemo } from "./CallLogParticipantsDemo";

    export default function App() {
      return (
        <div className="App">
          <div>
            <CallLogParticipantsDemo />
          </div>
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

#### 1. onBackClick

`onBackClick` is triggered when you click the Back button Icon of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const handleOnBackClick = () => {
        //your custom on back click action
      };

      return (
        <CometChatCallLogParticipants
          call={callLog}
          onBackClick={handleOnBackClick}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascriptjavascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

      const handleOnBackClick = () =>{
        //your custom on back click action
      }

        return (
            <CometChatCallLogParticipants
                call={callLog}
                onBackClick={handleOnBackClick}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

#### 2. onItemClick

`onItemClick` is triggered when you click on a ListItem of the of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const handleOnItemClick = () => {
        //your custom on item click action
      };

      return (
        <CometChatCallLogParticipants
          call={callLog}
          onItemClick={handleOnItemClick}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

      const handleOnItemClick = () =>{
        //your custom on item click action
      }

        return (
            <CometChatCallLogParticipants
                call={callLog}
                onItemClick={handleOnItemClick}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `Call Log Participants` component does not have any exposed filters.

***

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Call Log Participants` does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the `CallLogParticipants` component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. CallLogParticipants Style

To customize the appearance, you can assign a `CallLogParticipantsStyle` object to the `Call Log Participants` component.

**Example**

In this example, we are employing the `CallLogParticipantsStyle`.

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
      CallLogParticipantsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);
      const callLogParticipantsStyle = new CallLogParticipantsStyle({
        background: "#f8f5ff",
        titleColor: "#6f3ae0",
        dateTextColor: "#6f34ed",
        callStatusColor: "#6f34ed",
      });

      return (
        <CometChatCallLogParticipants
          call={callLog}
          callLogParticipantsStyle={callLogParticipantsStyle}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit, CallLogParticipantsStyle } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);
      const callLogParticipantsStyle = new CallLogParticipantsStyle({
        background: '#f8f5ff',
        titleColor: '#6f3ae0',
        dateTextColor:'#6f34ed',
        callStatusColor:'#6f34ed',
      });

        return (
            <CometChatCallLogParticipants
                call={callLog}
                callLogParticipantsStyle={callLogParticipantsStyle}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/dDWpooIQ48haNjyU/images/78a2d9f9-call_log_participants_style_web_screens-739785c130586b54f7ad29697c00a234.png?fit=max&auto=format&n=dDWpooIQ48haNjyU&q=85&s=1028b5166aefb41349208fddcc1b5502" width="3600" height="2400" data-path="images/78a2d9f9-call_log_participants_style_web_screens-739785c130586b54f7ad29697c00a234.png" />
</Frame>

***

The following properties are exposed by `CallLogParticipantsStyle`:

| Property            | Description                   | Code                        |
| ------------------- | ----------------------------- | --------------------------- |
| **border**          | Used to set border            | `border?: string,`          |
| **borderRadius**    | Used to set border radius     | `borderRadius?: string;`    |
| **background**      | Used to set background colour | `background?: string;`      |
| **height**          | Used to set height            | `height?: string;`          |
| **width**           | Used to set width             | `width?: string;`           |
| **titleFont**       | Used to set title font        | `titleFont?: string,`       |
| **titleColor**      | Used to set title color       | `titleColor?: string;`      |
| **backIconTint**    | Used to set back icon tint    | `backIconTint?: string;`    |
| **callStatusFont**  | Used to set call status font  | `callStatusFont?: string;`  |
| **callStatusColor** | Used to set call status color | `callStatusColor?: string;` |
| **dateTextFont**    | Used to set date text font    | `dateTextFont?: string;`    |
| **dateTextColor**   | Used to set date text color   | `dateTextColor?: string;`   |

#### 2. ListItem Style

If you want to apply customized styles to the `ListItemStyle` component within the `Call Log Participants` Component, you can use the following code snippet. For more information, you can refer [ListItem Styles](/ui-kit/react/v4/list-item#listitemstyle).

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);
      const listItemStyle = new ListItemStyle({
        background: "#f8f5ff",
        activeBackground: "#6f34ed",
        titleColor: "#6f34ed",
      });

      return (
        <CometChatCallLogParticipants
          call={callLog}
          listItemStyle={listItemStyle}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);
        const listItemStyle = new ListItemStyle({
          background: '#f8f5ff',
          activeBackground:'#6f34ed',
          titleColor:'#6f34ed'
        });

        return (
            <CometChatCallLogParticipants
                call={callLog}
                listItemStyle={listItemStyle}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

#### 3. Avatar Style

If you want to apply customized styles to the `Avatar` component within the `Call Log Participants` Component, you can use the following code snippet. For more information you can refer [Avatar Styles](/ui-kit/react/v4/avatar#avatar-style).

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
      AvatarStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);
      const avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff",
      });

      return (
        <CometChatCallLogParticipants call={callLog} avatarStyle={avatarStyle} />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);
        const avatarStyle = new AvatarStyle({
          backgroundColor: "#cdc2ff",
          border: "2px solid #6745ff",
          borderRadius: "10px",
          outerViewBorderColor: "#ca45ff",
          outerViewBorderRadius: "5px",
          nameTextColor: "#4554ff"
        });

        return (
            <CometChatCallLogParticipants
                call={callLog}
                avatarStyle={avatarStyle}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

Here is a code snippet demonstrating how you can customize the functionality of the `Call Log Participants` component.

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
      DatePatterns,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      return (
        <CometChatCallLogParticipants
          call={callLog}
          title="Your Custom Title"
          backIconUrl="your custom back icon url"
          datePattern={DatePatterns.DateTime}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit, DatePatterns } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        return (
            <CometChatCallLogParticipants
                call={callLog}
                title='Your Custom Title'
                backIconUrl='your custom back icon url'
                datePattern={DatePatterns.DateTime}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/F0pRX00dbgkztAbW/images/130fb48f-call_log_participants_functionality_default_web_screens-cf24f3970fb87366725a07033c04b9f3.png?fit=max&auto=format&n=F0pRX00dbgkztAbW&q=85&s=4a5dee254fd67df105f75758fd082226" width="3600" height="2400" data-path="images/130fb48f-call_log_participants_functionality_default_web_screens-cf24f3970fb87366725a07033c04b9f3.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/QxoaCZzLrVi321Ps/images/3e07aa32-call_log_participants_functionality_custom_web_screens-412eb540dd355c67fb25312ddb0337fa.png?fit=max&auto=format&n=QxoaCZzLrVi321Ps&q=85&s=77686b0a015302f4f2154ec109e3962d" width="3600" height="2400" data-path="images/3e07aa32-call_log_participants_functionality_custom_web_screens-412eb540dd355c67fb25312ddb0337fa.png" />
</Frame>

***

Below is a list of customizations along with corresponding code snippets

| Property        | Description                      | Code                                     |
| --------------- | -------------------------------- | ---------------------------------------- |
| **title**       | Used to set custom title         | `title='Your Custom Title'`              |
| **backIconUrl** | Used to set custom back icon URL | `backIconUrl?: string;`                  |
| **datePattern** | Used to set custom date pattern  | `datePattern={DatePatterns.DayDateTime}` |
| **call**        | Call data object                 | `call: CallLog;`                         |

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the `Call Log Participants` Component.

```javascript theme={null}
listItemView = { getListItemView };
```

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/O4T1K2wxFuaRj1dC/images/a6586748-call_log_participants_listitemview_default_web_screens-4889a97a3e04fdf7103e09a00d2a3c8f.png?fit=max&auto=format&n=O4T1K2wxFuaRj1dC&q=85&s=24d4233742442aa48340d6d667ce614d" width="3600" height="2400" data-path="images/a6586748-call_log_participants_listitemview_default_web_screens-4889a97a3e04fdf7103e09a00d2a3c8f.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/t35Dbaum6Rkuz_d5/images/17c147b4-call_log_participants_listitemview_custom_web_screens-c26e0d67b1ec71febcac90e4bdd5db0e.png?fit=max&auto=format&n=t35Dbaum6Rkuz_d5&q=85&s=f2bfe3e5cd1a0ee419d66d431090bc92" width="3600" height="2400" data-path="images/17c147b4-call_log_participants_listitemview_custom_web_screens-c26e0d67b1ec71febcac90e4bdd5db0e.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Participant,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const getListItemView = (participant: Participant): JSX.Element => {
        return (
          <div
            style={{
              border: "1px solid #9c9c9c",
              borderRadius: "15px",
              background: "#7f3bff",
              color: "#ffffff",
              padding: "10px",
              textAlign: "left",
            }}
          >
            {participant?.getName()}
          </div>
        );
      };
      return (
        <CometChatCallLogParticipants
          call={callLog}
          listItemView={getListItemView}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        const getListItemView = (participant) => {
            return (
            <div style={{ border: '1px solid #9c9c9c', borderRadius: '15px', background: '#7f3bff', color: '#ffffff', padding: '10px', textAlign: 'left' }}>{participant?.getName()}</div>
            );
        };
        return (
            <CometChatCallLogParticipants
                call={callLog}
                listItemView={getListItemView}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each call log Participants item to meet your requirements

```javascript theme={null}
subtitleView = { getSubtitleView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/SNc1XUNfZQ5aQj_q/images/ffa4a6e1-call_log_participants_subtitleview_default_web_screens-5635e7135c5abfdcdfbae5f2bdbe2297.png?fit=max&auto=format&n=SNc1XUNfZQ5aQj_q&q=85&s=da29ae0801a44ce976b149cb6b308fbd" width="3600" height="2400" data-path="images/ffa4a6e1-call_log_participants_subtitleview_default_web_screens-5635e7135c5abfdcdfbae5f2bdbe2297.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/6twnUcGNOB9c0CI0/images/e9f67374-call_log_participants_subtitleview_custom_web_screens-73a4be0a0da256fdcc02446a25d34447.png?fit=max&auto=format&n=6twnUcGNOB9c0CI0&q=85&s=27e0b269e40e3e4a571806d2dd87c075" width="3600" height="2400" data-path="images/e9f67374-call_log_participants_subtitleview_custom_web_screens-73a4be0a0da256fdcc02446a25d34447.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Participant,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const getSubtitleView = (participant: Participant): JSX.Element => {
        const durationInDecimalMinutes = participant.getTotalDurationInMinutes();
        const minutes = Math.floor(durationInDecimalMinutes);
        const seconds = Math.round((durationInDecimalMinutes - minutes) * 60);

        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "2px",
              fontSize: "10px",
            }}
          >
            <div style={{ color: "gray", fontSize: "15px" }}>
              {`${minutes}.${seconds}`}
            </div>
          </div>
        );
      };
      return (
        <CometChatCallLogParticipants
          call={callLog}
          subtitleView={getSubtitleView}
        />
      );
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        const getSubtitleView = (participant) => {
            const durationInDecimalMinutes = participant.getTotalDurationInMinutes();
            const minutes = Math.floor(durationInDecimalMinutes);
            const seconds = Math.round((durationInDecimalMinutes - minutes) * 60);

            return (
                <div
                    style={{
                        display: "flex",
                        alignItems: "left",
                        padding: "2px",
                        fontSize: "10px"
                    }}
                >
                    <div style={{ color: "gray", fontSize: '15px' }}>
                        {`${minutes}.${seconds}` }
                    </div>
                </div>
            );
        };
        return (
            <CometChatCallLogParticipants
                call={callLog}
                subtitleView={getSubtitleView}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

***

#### TailView

You can customize the tail view for each call log participants item to meet your requirements

```javascript theme={null}
tailView = { getTailView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/udim9ku6wPsRNXGs/images/de997031-call_log_participants_tailview_default_web_screens-3516a3d75e0832f1585dec19d08339c9.png?fit=max&auto=format&n=udim9ku6wPsRNXGs&q=85&s=64e0825641c506915bd805186a79d61c" width="3600" height="2400" data-path="images/de997031-call_log_participants_tailview_default_web_screens-3516a3d75e0832f1585dec19d08339c9.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/t35Dbaum6Rkuz_d5/images/1675fe1e-call_log_participants_tailview_custom_web_screens-817acbf7f61039c3e4b1854e714bb365.png?fit=max&auto=format&n=t35Dbaum6Rkuz_d5&q=85&s=9b2ad2109a437919409231e13e8a3f2c" width="3600" height="2400" data-path="images/1675fe1e-call_log_participants_tailview_custom_web_screens-817acbf7f61039c3e4b1854e714bb365.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogParticipantsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Participant,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogParticipants,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogParticipantsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(1)
              .setCallStatus("cancelled")
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      function getTailView(participant: Participant): JSX.Element {
        const durationInDecimalMinutes = participant.getTotalDurationInMinutes();
        const minutes = Math.floor(durationInDecimalMinutes);
        const seconds = Math.round((durationInDecimalMinutes - minutes) * 60);

        return (
          <div
            style={{
              color: "#5a00a8",
              border: "1px solid #5a00a8",
              borderRadius: "12px",
              padding: "5px",
            }}
          >
            {`${minutes} minutes and ${seconds} seconds`}
          </div>
        );
      }
      return <CometChatCallLogParticipants call={callLog} tailView={getTailView} />;
    };

    export default CallLogParticipantsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogParticipantsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogParticipants, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogParticipantsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(1).setCallStatus('cancelled').setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        function getTailView(participant) {
            const durationInDecimalMinutes = participant.getTotalDurationInMinutes();
            const minutes = Math.floor(durationInDecimalMinutes);
            const seconds = Math.round((durationInDecimalMinutes - minutes) * 60);

            return (
                <div style={{ color: '#5a00a8', border: '1px solid #5a00a8', borderRadius: '12px', padding: '5px' }}>
                    {`${minutes} minutes and ${seconds} seconds`}
                </div>
            );
        }
        return (
            <CometChatCallLogParticipants
                call={callLog}
                tailView={getTailView}
            />
        )
    }

    export default CallLogParticipantsDemo;
    ```
  </Tab>
</Tabs>

***
